<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ac_receipt_details', function (Blueprint $table) {
            $table->unsignedBigInteger('ac_receipt_id')->nullable()->after('transaction_referrence');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ac_receipt_details', function (Blueprint $table) {
            $table->dropColumn('ac_receipt_id');
        });
    }
};
